[EventCalendar] WP 2.8.2 breaks with Event Calendar plugin

Steve Wamsley swamsley at gmail.com
Wed Jul 29 22:05:46 UTC 2009


I have a number of WordPress sites that use the Event Calendar plugin. 
After upgrading to v2.8.2 from v2.8.1, the site no longer displays it's 
posts. I get the following errors in the PHP error log:

WordPress database error You have an error in your SQL syntax; check the 
manual that corresponds to your MySQL server version for the right 
syntax to use near 'FROM wp_posts  WHERE 1=1   ORDER BY 
wp_posts.post_date DESC LIMIT 0, 10' at line 1 for query  SELECT 
SQL_CALC_FOUND_ROWS   FROM wp_posts  WHERE 1=1   ORDER BY 
wp_posts.post_date DESC LIMIT 0, 10 made by require, wp, WP->main, 
WP->query_posts, WP_Query->query, WP_Query->get_posts

WordPress database error You have an error in your SQL syntax; check the 
manual that corresponds to your MySQL server version for the right 
syntax to use near 'FROM wp_posts  WHERE 1=1   ORDER BY 
wp_posts.post_date DESC' at line 1 for query  SELECT    FROM wp_posts  
WHERE 1=1   ORDER BY wp_posts.post_date DESC  made by require, wp, 
WP->main, WP->query_posts, WP_Query->query, WP_Query->get_posts

WordPress database error You have an error in your SQL syntax; check the 
manual that corresponds to your MySQL server version for the right 
syntax to use near 'AND wp_postmeta.meta_key = '_wp_page_template' LIMIT 
1' at line 1 for query SELECT DISTINCT wp_postmeta.post_id, 
wp_postmeta.meta_key, wp_postmeta.meta_value FROM wp_postmeta AS 
wp_postmeta WHERE wp_postmeta.post_id =  AND wp_postmeta.meta_key = 
'_wp_page_template' LIMIT 1; made by require, require_once, include, 
get_footer, locate_template, load_template, require_once, wp_footer, 
do_action, call_user_func_array, render_google_maps_javascript, 
get_marker_info

What I've found is that if I comment out the lines in eventcalendar3.php 
that call add_filter(...) - lines 584 through 599 in version 3.1.4 of 
the plugin, the site starts working again - including the plugin itself.

Is this an OK fix? Please advise.

I am using:
WordPress 2.8.2
Event Calendar 3.1.4
PHP 5.3.0
Fedora Core 10
etc.

Thanks,
Steve Wamsley




More information about the EventCalendar mailing list